Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.server.http
Class JndiFactory

    java.lang.Object
      |
      +--com.caucho.server.http.JndiFactory

All Implemented Interfaces:
  javax.naming.spi.InitialContextFactory

public class JndiFactory
extends java.lang.Object
implements javax.naming.spi.InitialContextFactory

Returns the JNDI context for the current classloader. Since each thread will normally have its own current class loader, the actual JNDI context is stored in the contextClassLoader.

Constructor Summary
`JndiFactory()`

Method Summary
`javax.naming.Context` | `getInitialContext(java.util.Hashtable environment)` Returns the initial context for the current thread.
`static javax.naming.Context` | `initContext(RegistryNode registry, java.util.HashMap variableMap, Application application, java.lang.ClassLoader loader, TransactionManagerImpl tm, java.util.ArrayList dbPools, javax.naming.Context parentContext)` Initialize a context.
`static void` | `setParentFactory(java.lang.String parentFactoryName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JndiFactory

    public JndiFactory()

Method Detail

### setParentFactory

    public static void setParentFactory(java.lang.String parentFactoryName)

### getInitialContext

    public javax.naming.Context getInitialContext(java.util.Hashtable environment)
                                           throws javax.naming.NamingException

  Returns the initial context for the current thread.
  Specified by:
    `getInitialContext` in interface `javax.naming.spi.InitialContextFactory`

### initContext

    public static javax.naming.Context initContext(RegistryNode registry,
                                                   java.util.HashMap variableMap,
                                                   Application application,
                                                   java.lang.ClassLoader loader,
                                                   TransactionManagerImpl tm,
                                                   java.util.ArrayList dbPools,
                                                   javax.naming.Context parentContext)
                                            throws java.lang.Exception

  Initialize a context.
  Parameters:
    `registry` - the context's configuration
    `application` - the owning application
    `loader` - the application loader
    `tm` - transaction manager
    `dbPools` - list of database pools
    `parentContext` - parent context to clone, if any

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD